Bug 19016 - Microdata doesn't allow marking up content with multiple vocabularies
Microdata doesn't allow marking up content with multiple vocabularies
Status: RESOLVED LATER
Product: HTML WG
Classification: Unclassified
Component: HTML Microdata (editor: Ian Hickson)
unspecified
All All
: P2 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 21:53 UTC by contributor
Modified: 2013-02-25 22:48 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 21:53:34 UTC
This was was cloned from bug 13527 as part of operation LATER convergence.
Originally filed: 2011-08-02 19:37:00 +0000
Original reporter: Richard Cyganiak <richard@cyganiak.de>

================================================================================
 #0   Richard Cyganiak                                2011-08-02 19:37:05 +0000 
--------------------------------------------------------------------------------
There are situations where content authors have the choice between multiple overlapping microdata vocabularies. For example both schema.org/PostalAddress and vCard are available for marking up postal addresses. Microdata forces content authors to either choose one of them (schema.org because that's what Google supports), or to duplicate their content.

The challenge with supporting multiple vocabularies in microdata is how to associate property names with the vocabularies in absence of vocabulary knowledge. This difficulty has been stated as the reason for rejecting a similar issue here:
http://www.w3.org/Bugs/Public/show_bug.cgi?id=13470

The ambiguity can be avoided by generating multiple items from a single itemscope, with one type each. For example:

<div itemscope>
    <span itemprop="streetAddress street-address">26 Dun Aengus</span>,
    <span itemprop="addressLocality locality">Galway</span>,
    <span itemprop="addressCountry country-name">Ireland</span>.
    <meta itemprop="altitem" content="http://schema.org/PostalAddress streetAddress addressLocality addressCountry">
    <meta itemprop="altitem" content="http://microformats.org/profile/hcard street-address locality country-name">
</div>

The altitem property would have to be a microdata built-in property that affects microdata parsing. Its value would be a whitespace-separated list; its effect would be to generate a new “alternate item” whose itemtype is the first URL from the list. The rest of the list are property names to be copied from the itemscope. The result here would be three items; one untyped item with eight properties; one schema.org typed item with three properties; one vCard typed item with three properties. This proposal is fleshed out here:
http://richard.cyganiak.de/blog/2011/08/multiple-itemtypes-in-microdata/

The point of this example is to argue that support for multiple vocabularies in microdata is possible in a way that is more convenient to authors than forcing them to repeat content.
================================================================================
 #1   Ian 'Hixie' Hickson                             2011-08-02 21:15:24 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: none yet
Rationale: I have marked this LATER so that we can examine it in more detail once microdata has seen significant adoption. It's not clear that this is a problem that will actually be seen in the wild.
================================================================================